# python build stubs for package pywht
# File is generated by gopy. Do not edit.
# gopy pkg -vm=python3 -output=out -name=pywht github.com/rudderlabs/wht-core-lib/wht

from pybindgen import retval, param, Function, Module
import sys

class CheckedFunction(Function):
    def __init__(self, *a, **kw):
        super(CheckedFunction, self).__init__(*a, **kw)
        self._failure_expression = kw.get('failure_expression', '')
        self._failure_cleanup = kw.get('failure_cleanup', '')

    def set_failure_expression(self, expr):
        self._failure_expression = expr

    def set_failure_cleanup(self, expr):
        self._failure_cleanup = expr

    def generate_call(self):
        super(CheckedFunction, self).generate_call()
        check = "PyErr_Occurred()"
        if self._failure_expression:
            check = "{} && {}".format(self._failure_expression, check)
        failure_cleanup = self._failure_cleanup or None
        self.before_call.write_error_check(check, failure_cleanup)

def add_checked_function(mod, name, retval, params, failure_expression='', *a, **kw):
    fn = CheckedFunction(name, retval, params, *a, **kw)
    fn.set_failure_expression(failure_expression)
    mod._add_function_obj(fn)
    return fn

def add_checked_string_function(mod, name, retval, params, failure_expression='', *a, **kw):
    fn = CheckedFunction(name, retval, params, *a, **kw)
    fn.set_failure_cleanup('if (retval != NULL) free(retval);')
    fn.after_call.add_cleanup_code('free(retval);')
    fn.set_failure_expression(failure_expression)
    mod._add_function_obj(fn)
    return fn

mod = Module('_pywht')
mod.add_include('"pywht_go.h"')
mod.add_function('GoPyInit', None, [])
mod.add_function('DecRef', None, [param('int64_t', 'handle')])
mod.add_function('IncRef', None, [param('int64_t', 'handle')])
mod.add_function('NumHandles', retval('int'), [])
mod.add_function('Slice_bool_CTor', retval('int64_t'), [])
mod.add_function('Slice_bool_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_bool_elem', retval('bool'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_bool_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_bool_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('bool', 'value')])
mod.add_function('Slice_bool_append', None, [param('int64_t', 'handle'), param('bool', 'value')])
mod.add_function('Slice_byte_CTor', retval('int64_t'), [])
mod.add_function('Slice_byte_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_byte_elem', retval('uint8_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_byte_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_byte_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint8_t', 'value')])
mod.add_function('Slice_byte_append', None, [param('int64_t', 'handle'), param('uint8_t', 'value')])
mod.add_function('Slice_float32_CTor', retval('int64_t'), [])
mod.add_function('Slice_float32_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_float32_elem', retval('float'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_float32_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_float32_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('float', 'value')])
mod.add_function('Slice_float32_append', None, [param('int64_t', 'handle'), param('float', 'value')])
mod.add_function('Slice_float64_CTor', retval('int64_t'), [])
mod.add_function('Slice_float64_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_float64_elem', retval('double'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_float64_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_float64_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('double', 'value')])
mod.add_function('Slice_float64_append', None, [param('int64_t', 'handle'), param('double', 'value')])
mod.add_function('Slice_int_CTor', retval('int64_t'), [])
mod.add_function('Slice_int_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_int_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_int16_CTor', retval('int64_t'), [])
mod.add_function('Slice_int16_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int16_elem', retval('int16_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int16_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int16_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int16_t', 'value')])
mod.add_function('Slice_int16_append', None, [param('int64_t', 'handle'), param('int16_t', 'value')])
mod.add_function('Slice_int32_CTor', retval('int64_t'), [])
mod.add_function('Slice_int32_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int32_elem', retval('int32_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int32_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int32_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int32_t', 'value')])
mod.add_function('Slice_int32_append', None, [param('int64_t', 'handle'), param('int32_t', 'value')])
mod.add_function('Slice_int64_CTor', retval('int64_t'), [])
mod.add_function('Slice_int64_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int64_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int64_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int64_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_int64_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_int8_CTor', retval('int64_t'), [])
mod.add_function('Slice_int8_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_int8_elem', retval('int8_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_int8_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_int8_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int8_t', 'value')])
mod.add_function('Slice_int8_append', None, [param('int64_t', 'handle'), param('int8_t', 'value')])
mod.add_function('Slice_rune_CTor', retval('int64_t'), [])
mod.add_function('Slice_rune_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_rune_elem', retval('int32_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_rune_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_rune_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int32_t', 'value')])
mod.add_function('Slice_rune_append', None, [param('int64_t', 'handle'), param('int32_t', 'value')])
mod.add_function('Slice_string_CTor', retval('int64_t'), [])
mod.add_function('Slice_string_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_string_elem', retval('char*'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_string_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_string_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('char*', 'value')])
mod.add_function('Slice_string_append', None, [param('int64_t', 'handle'), param('char*', 'value')])
mod.add_function('Slice_uint_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint_elem', retval('uint64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint64_t', 'value')])
mod.add_function('Slice_uint_append', None, [param('int64_t', 'handle'), param('uint64_t', 'value')])
mod.add_function('Slice_uint16_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint16_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint16_elem', retval('uint16_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint16_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint16_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint16_t', 'value')])
mod.add_function('Slice_uint16_append', None, [param('int64_t', 'handle'), param('uint16_t', 'value')])
mod.add_function('Slice_uint32_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint32_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint32_elem', retval('uint32_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint32_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint32_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint32_t', 'value')])
mod.add_function('Slice_uint32_append', None, [param('int64_t', 'handle'), param('uint32_t', 'value')])
mod.add_function('Slice_uint64_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint64_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint64_elem', retval('uint64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint64_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint64_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint64_t', 'value')])
mod.add_function('Slice_uint64_append', None, [param('int64_t', 'handle'), param('uint64_t', 'value')])
mod.add_function('Slice_uint8_CTor', retval('int64_t'), [])
mod.add_function('Slice_uint8_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_uint8_elem', retval('uint8_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_uint8_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_uint8_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('uint8_t', 'value')])
mod.add_function('Slice_uint8_append', None, [param('int64_t', 'handle'), param('uint8_t', 'value')])
mod.add_function('Slice_wht_ResourceDeclSpec_CTor', retval('int64_t'), [])
mod.add_function('Slice_wht_ResourceDeclSpec_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_wht_ResourceDeclSpec_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_wht_ResourceDeclSpec_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_wht_ResourceDeclSpec_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_wht_ResourceDeclSpec_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('wht_ResourceFileSpec_CTor', retval('int64_t'), [])
mod.add_function('wht_ResourceFileSpec_Resources_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('wht_ResourceFileSpec_Resources_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('wht_WhtProject_CTor', retval('int64_t'), [])
add_checked_function(mod, 'wht_WhtProject_Compile', None, [param('int64_t', '_handle'), param('bool', 'goRun')])
mod.add_function('wht_ModeRefBuildSpec_CTor', retval('int64_t'), [])
mod.add_function('wht_ProjectFileSpec_CTor', retval('int64_t'), [])
mod.add_function('wht_ResourceDeclSpec_CTor', retval('int64_t'), [])
mod.add_function('wht_ResourceDeclSpec_ResourceType_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('wht_ResourceDeclSpec_ResourceType_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
add_checked_function(mod, 'wht_LoadProject', retval('int64_t'), [param('char*', 'projectFolder')])
mod.add_function('Slice_base_WhtModel_CTor', retval('int64_t'), [])
mod.add_function('Slice_base_WhtModel_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_base_WhtModel_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_base_WhtModel_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_base_WhtModel_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_base_WhtModel_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
add_checked_function(mod, 'base_IWhtModel_Compile', retval('char*'), [param('int64_t', '_handle'), param('int64_t', 'whtContext')])
add_checked_function(mod, 'base_IWhtModel_GetInputs', retval('int64_t'), [param('int64_t', '_handle')])
add_checked_string_function(mod, 'base_IWhtModel_GetSql', retval('char*'), [param('int64_t', '_handle')])
add_checked_function(mod, 'base_IWhtModel_Run', retval('int64_t'), [param('int64_t', '_handle'), param('int64_t', 'whtContext'), param('int64_t', 'seqNo')])
mod.add_function('base_WhtModelRef_CTor', retval('int64_t'), [])
mod.add_function('base_BaseWhtModel_CTor', retval('int64_t'), [])
mod.add_function('base_SqlTemplate_CTor', retval('int64_t'), [])
mod.add_function('base_SqlTemplate_Options_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('base_SqlTemplate_Options_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('base_WhtBuildSpec_CTor', retval('int64_t'), [])
mod.add_function('base_WhtContext_CTor', retval('int64_t'), [])
mod.add_function('base_WhtMaterial_CTor', retval('int64_t'), [])
mod.add_function('base_WhtMaterial_Model_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('base_WhtMaterial_Model_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('base_WhtMaterial_Name_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('base_WhtMaterial_Name_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('base_WhtMaterial_IWhtContext_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('base_WhtMaterial_IWhtContext_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('base_WhtMaterial_SeqNo_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('base_WhtMaterial_SeqNo_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('base_WhtModel_CTor', retval('int64_t'), [])
mod.add_function('Slice_features_FeatureIdentifierDeclaration_CTor', retval('int64_t'), [])
mod.add_function('Slice_features_FeatureIdentifierDeclaration_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_features_FeatureIdentifierDeclaration_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_features_FeatureIdentifierDeclaration_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_features_FeatureIdentifierDeclaration_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_features_FeatureIdentifierDeclaration_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_identity_IdEdgeSignal_CTor', retval('int64_t'), [])
mod.add_function('Slice_identity_IdEdgeSignal_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_identity_IdEdgeSignal_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_identity_IdEdgeSignal_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_identity_IdEdgeSignal_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_identity_IdEdgeSignal_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('Slice_identity_IdStitchingModelInput_CTor', retval('int64_t'), [])
mod.add_function('Slice_identity_IdStitchingModelInput_len', retval('int'), [param('int64_t', 'handle')])
mod.add_function('Slice_identity_IdStitchingModelInput_elem', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'idx')])
mod.add_function('Slice_identity_IdStitchingModelInput_subslice', retval('int64_t'), [param('int64_t', 'handle'), param('int', 'st'), param('int', 'ed')])
mod.add_function('Slice_identity_IdStitchingModelInput_set', None, [param('int64_t', 'handle'), param('int', 'idx'), param('int64_t', 'value')])
mod.add_function('Slice_identity_IdStitchingModelInput_append', None, [param('int64_t', 'handle'), param('int64_t', 'value')])
mod.add_function('features_EntityFeaturesModel_CTor', retval('int64_t'), [])
mod.add_function('features_EntityFeaturesModel_Inputs_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('features_EntityFeaturesModel_Inputs_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('features_EntityFeaturesModel_IdStitcher_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('features_EntityFeaturesModel_IdStitcher_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
add_checked_function(mod, 'features_EntityFeaturesModel_Compile', None, [param('int64_t', '_handle'), param('int64_t', 'whtContext'), param('bool', 'goRun')])
mod.add_function('features_TableVarDeclaration_CTor', retval('int64_t'), [])
mod.add_function('features_TableVarDeclaration_TableVar_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_TableVarDeclaration_TableVar_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_TableVarDeclaration_Description_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_TableVarDeclaration_Description_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_TableVarDeclaration_Filter_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_TableVarDeclaration_Filter_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_TableVarDeclaration_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_TableVarDeclaration_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_FeatureTableBuildSpec_CTor', retval('int64_t'), [])
mod.add_function('features_FeatureTableBuildSpec_Features_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('features_FeatureTableBuildSpec_Features_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('features_FeatureVarDeclaration_CTor', retval('int64_t'), [])
mod.add_function('features_FeatureVarDeclaration_Feature_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_FeatureVarDeclaration_Feature_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_FeatureVarDeclaration_Description_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_FeatureVarDeclaration_Description_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_FeatureVarDeclaration_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_FeatureVarDeclaration_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_MacroDeclaration_CTor', retval('int64_t'), [])
mod.add_function('features_MacroDeclaration_Macro_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_MacroDeclaration_Macro_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_MacroDeclaration_Description_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_MacroDeclaration_Description_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_MacroDeclaration_Value_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('features_MacroDeclaration_Value_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('features_FeatureIdentifierDeclaration_CTor', retval('int64_t'), [])
mod.add_function('identity_IdStitchingBuildSpec_CTor', retval('int64_t'), [])
mod.add_function('identity_IdStitchingModel_CTor', retval('int64_t'), [])
mod.add_function('identity_IdStitchingModel_Inputs_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('identity_IdStitchingModel_Inputs_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('identity_IdStitchingModel_IdEdgeSignals_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('identity_IdStitchingModel_IdEdgeSignals_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('identity_IdStitchingModelInput_CTor', retval('int64_t'), [])
mod.add_function('identity_IdStitchingModelInput_Model_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('identity_IdStitchingModelInput_Model_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('identity_IdStitchingModelInput_IdSql_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('identity_IdStitchingModelInput_IdSql_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('identity_IdEdgeSignal_CTor', retval('int64_t'), [])
mod.add_function('identity_IdEdgeSignal_ModelRef_Get', retval('int64_t'), [param('int64_t', 'handle')])
mod.add_function('identity_IdEdgeSignal_ModelRef_Set', None, [param('int64_t', 'handle'), param('int64_t', 'val')])
mod.add_function('identity_IdEdgeSignal_IdSql1_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('identity_IdEdgeSignal_IdSql1_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('identity_IdEdgeSignal_IdSql2_Get', retval('char*'), [param('int64_t', 'handle')])
mod.add_function('identity_IdEdgeSignal_IdSql2_Set', None, [param('int64_t', 'handle'), param('char*', 'val')])
mod.add_function('sources_ModelRefBuildSpec_CTor', retval('int64_t'), [])
mod.add_function('sources_ModelSourceBuildSpec_CTor', retval('int64_t'), [])

mod.generate(open('pywht.c', 'w'))

